FRIHOST FORUMS SEARCH FAQ TOS BLOGS COMPETITIONS
You are invited to Log in or Register a free Frihost Account!


Mod_python not working on server 4





clubdeinovaristi
Code:
Invalid command 'PythonHandler', perhaps misspelled or defined by a module not included in the server configuration

An error of this type can't be confusing. Mod_python is simply deactivated on server 4.
Could you re-enable it (and maybe upgrade Python) ?
Bondings
It seems I forgot to reinstall it after the server problems, my apologies.

Anyway, is everything working fine again now?
clubdeinovaristi
Bondings wrote:
It seems I forgot to reinstall it after the server problems, my apologies.

Anyway, is everything working fine again now?


With mod_python yes, but I actually have some problems with an old Python version and with MySQLdb (which don't seems to be installed. I can always download the package and install it in my home directory, but I think it will be useful also to other FriHost-ers).

Thank you for the attention and for the fast answer.
Bondings
Is MySQLdb working now? And do you need any other Python packages/eggs installed?
clubdeinovaristi
No, nothing else. Or better, I would terribly appreciate a Python upgrade.
Thank you SO much.
Bondings
clubdeinovaristi wrote:
No, nothing else. Or better, I would terribly appreciate a Python upgrade.
Thank you SO much.

I don't think it is possible (at least without too much effort and special configuration) to upgrade the python version considering we are using CentOS and CentOS needs that specific version of Python.
clubdeinovaristi
Bondings wrote:
I don't think it is possible (at least without too much effort and special configuration) to upgrade the python version considering we are using CentOS and CentOS needs that specific version of Python.

You are right. You could install the new Python version in a different prefix (e.g. /usr/local/python2.7/bin/python = executable, /usr/local/python2.7 = prefix), but mod_python don't allow you to use a different version than the one it was compiled against. Mod_wsgi does, but unfortunately mod_python and mod_wsgi can't coexist with two different version of Python, and you simply shouldn't uninstall mod_python at this time (too much people are using it).
clubdeinovaristi
Bondings wrote:
I don't think it is possible (at least without too much effort and special configuration) to upgrade the python version considering we are using CentOS and CentOS needs that specific version of Python.

Are you sure? (It's terribly important - old version don't support 'with' statement I use extensively)
Related topics
Server 4 opened for new accounts
php not on?
mod_python server 4
server 4 - down for at least a week
time on server 4
server 4 down?
server 4 - down
Python - Django Framework in server 4?
SMTP on Server 4?
[Server 4] Mod_python
Up and running in server 4
Server 4 currently down (old topic, it it working again)
Server 4 problems (17-20-01-2012)
server 4 not working code
Reply to topic    Frihost Forum Index -> Support and Web Hosting -> Web Hosting Support

FRIHOST HOME | FAQ | TOS | ABOUT US | CONTACT US | SITE MAP
© 2005-2011 Frihost, forums powered by phpBB.